Cannot update container after installing sendmail: plesk-mail-qc-driver conflicts with plesk-mail-pc-driver

Refers to:

  • Plesk for Linux

Created:

2016-11-16 12:55:13 UTC

Modified:

2016-12-21 19:32:15 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot update container after installing sendmail: plesk-mail-qc-driver conflicts with plesk-mail-pc-driver

Symptoms

A container that has postfix and sendmail packages installed simultaneously cannot be updated, the operation fails with the following errors:

[root@vz ~] vzpkg update $CTID
Error: plesk-mail-qc-driver conflicts with plesk-mail-pc-driver
Error: plesk-mail-pc-driver conflicts with plesk-mail-qc-driver
Error: plesk-mail-pc-driver conflicts with psa-qmail
Error: plesk-mail-pc-driver conflicts with psa-qmail-rblsmtpd
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
Error: /usr/share/vzyum/bin/yum failed, exitcode=1

Cause

The behavior is recognized as a product bug with internal ID PPPM-1081 .

A Plesk installation is capable of keeping only one mail server installation, so it is not advised to install any other mail servers manually.

Resolution

Remove sendmail packages:

# rpm -e sendmail-doc sendmail-cf sendmail --nodeps

After this, the update procedure should go smoothly.

Have more questions? Submit a request
Please sign in to leave a comment.